#ifndef _P_SERIAL_MGR_H_
#define _P_SERIAL_MGR_H_

#include "stm32l4xx_hal.h"
#include <stdbool.h>

typedef struct serial_pkt_t
{
	uint8_t src_addr;
	uint8_t dest_addr;
	int len;
	uint8_t frame_data[256];
	uint8_t checksum;
} serial_pkt_t;

void p_serial_mgr_init(UART_HandleTypeDef *huart);

void p_serial_mgr_service(void);

#endif
